## harmony 0.1.0

=== DESCRIPTION ===
Package: harmony
Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
Version: 0.1.0
Authors@R: c(
    person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com", 
        role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
    person("Nghia", "Millard", email = "nmillard@g.harvard.edu", 
        role = "aut", comment = c(ORCID = "0000-0002-0518-7674")),
    person("Jean", "Fan", email = "jeanfan@fas.harvard.edu",
        role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-0212-5451")),
    person("Kamil", "Slowikowski", email = "kslowikowski@gmail.com",
        role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-2843-6370")),
    person("Miles", "Smith", 
        role = c("ctb")),
    person("Soumya", "Raychaudhuri", 
        role = c("aut"), comment = c(ORCID = "0000-0002-1901-8265"))
    )
Description: Implementation of the Harmony algorithm for single cell integration, described in Korsunsky et al <doi:10.1038/s41592-019-0619-0>. Package includes a standalone Harmony function and interfaces to external frameworks.
URL: software.broadinstitute.org/harmony
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.1
Depends: R(>= 3.5.0), Rcpp
LazyData: true
LinkingTo: Rcpp, RcppArmadillo, RcppProgress
Imports: dplyr, cowplot, tidyr, ggplot2, irlba, Matrix, methods,
        tibble, rlang
Suggests: Seurat, testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-06-01 12:52:55 UTC; ikorsuns
Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
  Nghia Millard [aut] (<https://orcid.org/0000-0002-0518-7674>),
  Jean Fan [aut, ctb] (<https://orcid.org/0000-0002-0212-5451>),
  Kamil Slowikowski [aut, ctb] (<https://orcid.org/0000-0002-2843-6370>),
  Miles Smith [ctb],
  Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
Repository: CRAN
Date/Publication: 2021-06-02 08:10:02 UTC

## harmony 0.1.1

=== DESCRIPTION ===
Package: harmony
Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
Version: 0.1.1
Authors@R: c(
    person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
        role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
    person("Nghia", "Millard", email = "nmillard@g.harvard.edu",
        role = "aut", comment = c(ORCID = "0000-0002-0518-7674")),
    person("Jean", "Fan", email = "jeanfan@fas.harvard.edu",
        role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-0212-5451")),
    person("Kamil", "Slowikowski", email = "kslowikowski@gmail.com",
        role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-2843-6370")),
    person("Miles", "Smith",
        role = c("ctb")),
    person("Soumya", "Raychaudhuri",
        role = c("aut"), comment = c(ORCID = "0000-0002-1901-8265"))
    )
Description: Implementation of the Harmony algorithm for single cell integration, described in Korsunsky et al <doi:10.1038/s41592-019-0619-0>. Package includes a standalone Harmony function and interfaces to external frameworks.
URL: software.broadinstitute.org/harmony
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R(>= 3.4.0), Rcpp
LazyData: true
LinkingTo: Rcpp, RcppArmadillo, RcppProgress
Imports: dplyr, cowplot, tidyr, ggplot2, irlba, Matrix, methods,
        tibble, rlang
Suggests: SingleCellExperiment, Seurat (>= 4.1.1), testthat, knitr,
        rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2022-11-12 13:18:25 UTC; ik97
Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
  Nghia Millard [aut] (<https://orcid.org/0000-0002-0518-7674>),
  Jean Fan [aut, ctb] (<https://orcid.org/0000-0002-0212-5451>),
  Kamil Slowikowski [aut, ctb] (<https://orcid.org/0000-0002-2843-6370>),
  Miles Smith [ctb],
  Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
Repository: CRAN
Date/Publication: 2022-11-14 09:20:08 UTC

## harmony 0.2.2

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1
slimit>=0.8.1

=== debian/changelog ===
harmony (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #886708)

 -- Paul Wise <pabs@debian.org>  Wed, 10 Jan 2018 14:21:17 +0800

=== debian/control ===
Source: harmony
Section: web
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3,
 python3-librecaptcha,
 python3-pil (>= 4.1.1~),
 python3-requests (>= 2.18.1~),
 python3-slimit (>= 0.8.1~),
Standards-Version: 4.1.3
Homepage: https://github.com/nickolas360/harmony/
X-Python3-Version: >= 3.2

Package: python3-harmony
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 pidgin,
 purple-discord
Description: program and library for creating and managing Discord accounts
 A program and library for performing various actions with
 the Discord messaging service. Currently, it supports:
 .
  * Creating an account
  * Verifying the email address
  * Viewing the account tag
  * Change the username, email address, password, and avatar
  * Change safety and privacy settings
 .
 This program does not support messaging with Discord,
 please use Pidgin with the purple-discord plugin for that.
 .
 https://en.wikipedia.org/wiki/Discord_(software)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_python3:
	dh_python3 --requires=requirements.txt

override_dh_install:
	dh_install
	cd debian/python3-harmony/usr/bin ; mv harmony.py harmony

=== debian/watch ===
version=4
https://qa.debian.org/cgi-bin/fakeupstream.cgi?file=harmony/harmony.py;type=__version__;upstream=github_commits_package_json/nickolas360/harmony \
.*/archive/[0-9a-f]+\.tar.gz\?version=([^;]+);.*

## harmony 0.3.1

=== debian/changelog ===
harmony (0.3.1-1) unstable; urgency=medium

  * New upstream release
    - Update no-git-submodule.patch for code changes
    - Upstream moved __version__, update debian/watch

 -- Paul Wise <pabs@debian.org>  Tue, 13 Feb 2018 14:35:50 +0800

harmony (0.2.2-2) unstable; urgency=medium

  * Correct version of python3 in dependencies
  * Add missing dependency on librecaptcha

 -- Paul Wise <pabs@debian.org>  Fri, 12 Jan 2018 08:21:46 +0800

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@ --with python3
 
 override_dh_python3:
-	dh_python3 --requires=requirements.txt
+	dh_python3 --requires requirements.txt
 
 override_dh_install:
 	dh_install

## harmony 0.4.0

=== debian/changelog ===
harmony (0.4.0-1) unstable; urgency=medium

  * New upstream release
    - Update no-git-submodule.patch for code changes
    - Upstream added git tags, update debian/watch

 -- Paul Wise <pabs@debian.org>  Sat, 17 Feb 2018 13:20:50 +0800

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- python3,
+ python3 (>= 3.4~),
  python3-librecaptcha,
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
  python3-slimit (>= 0.8.1~),
 Standards-Version: 4.1.3
 Homepage: https://github.com/nickolas360/harmony/
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 
 Package: python3-harmony
 Architecture: all
 Depends:
+ python3-librecaptcha,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  pidgin,
- purple-discord
+ purple-discord,
 Description: program and library for creating and managing Discord accounts
  A program and library for performing various actions with
  the Discord messaging service. Currently, it supports:

=== debian/watch ===
version=4
https://qa.debian.org/cgi-bin/fakeupstream.cgi?file=harmony/discord.py;type=__version__;upstream=github_commits_package_json/nickolas360/harmony \
.*/archive/[0-9a-f]+\.tar.gz\?version=([^;]+);.*

## harmony 0.5.0

=== debian/changelog ===
harmony (0.5.0-1) unstable; urgency=medium

  * New upstream release
    - Drop no-git-submodule.patch, better version merged upstream
    - Upstream added setup.py, drop manual install, add deps
  * Add patch to read README.rst as UTF-8
  * Bump debhelper compat level to 11
  * Drop unused python3-slimit dep
  * Update description for new features from 0.4.0

 -- Paul Wise <pabs@debian.org>  Mon, 19 Feb 2018 12:14:17 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python3 (>= 3.4~),
- python3-librecaptcha,
+ python3-librecaptcha (>= 0.3.0~),
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
+ python3-setuptools,
  python3-slimit (>= 0.8.1~),
 Standards-Version: 4.1.3
 Homepage: https://github.com/nickolas360/harmony/
@@ -17,7 +18,6 @@
 Package: python3-harmony
 Architecture: all
 Depends:
- python3-librecaptcha,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -32,6 +32,10 @@
   * Viewing the account tag
   * Change the username, email address, password, and avatar
   * Change safety and privacy settings
+  * List servers you’re in and members in those servers
+  * Transfer and delete servers you own
+  * Accept server invites
+  * Delete your account
  .
  This program does not support messaging with Discord,
  please use Pidgin with the purple-discord plugin for that.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem pybuild

=== debian/watch ===
version=4
# Uses the tags tarball to avoid embedded code copies via git submodules
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%harmony-$1.tar.gz%" \
https://github.com/nickolas360/harmony/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## harmony 0.6.0

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1
librecaptcha[gtk]>=0.6.0

=== debian/changelog ===
harmony (0.6.0-1) unstable; urgency=medium

  * New upstream release
    - Drop encoding patch, merged upstream
    - Update copyright information
  * Switch from debian/compat to debhelper-compat
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes needed
  * Add Rules-Requires-Root: no
  * Drop X-Python3-Version, oldoldstable has 3.4
  * Re-export upstream's OpenPGP keys in a minimal way

 -- Paul Wise <pabs@debian.org>  Tue, 09 Jul 2019 15:58:49 +0800

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3 (>= 3.4~),
- python3-librecaptcha (>= 0.3.0~),
+ python3-librecaptcha (>= 0.6.0~),
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
  python3-setuptools,
  python3-slimit (>= 0.8.1~),
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://github.com/nickolas360/harmony/
-X-Python3-Version: >= 3.4
+Rules-Requires-Root: no
 
 Package: python3-harmony
 Architecture: all

## harmony 0.6.1

=== debian/changelog ===
harmony (0.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Update URLs & copyright info to their new identity
    - Drop signing key with their old identity
  * Update standards version to 4.5.1, no changes needed.
  * Ubpdate debhelper compat level to 13, no changes needed.
  * Switch to dh-sequence-python3 from --with and the dep.

  [ lintian-brush ]
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Paul Wise <pabs@debian.org>  Sun, 07 Feb 2021 16:05:48 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3 (>= 3.4~),
  python3-librecaptcha (>= 0.6.0~),
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
  python3-setuptools,
  python3-slimit (>= 0.8.1~),
-Standards-Version: 4.4.0
-Homepage: https://github.com/nickolas360/harmony/
+Standards-Version: 4.5.1
+Homepage: https://github.com/taylordotfish/harmony/
 Rules-Requires-Root: no
 
 Package: python3-harmony

## harmony 0.7.0

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1,<3
librecaptcha[gtk]>=0.6.3,<0.7

=== debian/changelog ===
harmony (0.7.0-1) unstable; urgency=medium

  * New upstream release.
    - Add Python keyring dep for new passphrase storage feature

 -- Paul Wise <pabs@debian.org>  Fri, 12 Feb 2021 13:37:39 +0800

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3 (>= 3.4~),
+ python3-keyring (>= 17.0.0~),
  python3-librecaptcha (>= 0.6.0~),
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),

=== debian/watch ===
version=4
# Uses the tags tarball to avoid embedded code copies via git submodules
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%harmony-$1.tar.gz%" \
https://github.com/taylordotfish/harmony/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## harmony 0.7.1

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1,<3
librecaptcha[gtk]>=0.6.3,<1
keyring>=17.0.0

=== debian/changelog ===
harmony (0.7.1-1) unstable; urgency=medium

  * New upstream release.
    - There are no more git submodules, use the releases tarball
  * Declare compliance with Debian Policy 4.6.0, no changes needed.
  * Actually drop unused python3-slimit dep

 -- Paul Wise <pabs@debian.org>  Thu, 02 Sep 2021 19:50:49 +0800

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
  python3-setuptools,
- python3-slimit (>= 0.8.1~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/taylordotfish/harmony/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%harmony-$1.tar.gz%" \
https://github.com/taylordotfish/harmony/releases \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## harmony 0.7.2

=== debian/changelog ===
harmony (0.7.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Patrick Zajda <patrick@zajda.fr>  Mon, 18 Dec 2023 17:21:44 +0100

harmony (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (closes: #1032369)
  * Use tags to determine upstream version
  * Declare compliance with Debian Policy 4.6.2, no changes needed.

 -- Patrick Zajda <patrick@zajda.fr>  Thu, 23 Nov 2023 10:32:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: harmony
 Section: web
 Priority: optional
-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Patrick Zajda <patrick@zajda.fr>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -11,9 +11,10 @@
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/taylordotfish/harmony/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-harmony
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%harmony-$1.tar.gz%" \
https://github.com/taylordotfish/harmony/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## harmony 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,15 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 0.1.1
+Version: 1.0.1
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
+    person("Martin Hemberg", email = "mhemberg@bwh.harvard.edu",
+        role = c("aut"), comment = c(ORCID = "0000-0001-8895-5239")),
+    person("Nikolaos Patikas", email = "nik.patik@gmail.com",
+        role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-3978-0134")),
+    person("Hongcheng Yao", email = "hongchengyaonk@gmail.com",
+        role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-0743-4835")),
     person("Nghia", "Millard", email = "nmillard@g.harvard.edu",
         role = "aut", comment = c(ORCID = "0000-0002-0518-7674")),
     person("Jean", "Fan", email = "jeanfan@fas.harvard.edu",
@@ -19,18 +25,23 @@
 URL: software.broadinstitute.org/harmony
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.1
-Depends: R(>= 3.4.0), Rcpp
+RoxygenNote: 7.2.3
+Depends: R(>= 3.5.0), Rcpp
 LazyData: true
+LazyDataCompression: gzip
 LinkingTo: Rcpp, RcppArmadillo, RcppProgress
-Imports: dplyr, cowplot, tidyr, ggplot2, irlba, Matrix, methods,
-        tibble, rlang
+Imports: dplyr, cowplot, ggplot2, Matrix, methods, tibble, rlang,
+        RhpcBLASctl
 Suggests: SingleCellExperiment, Seurat (>= 4.1.1), testthat, knitr,
-        rmarkdown
+        rmarkdown, ggthemes, ggrepel, patchwork, tidyverse, tidyr,
+        data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-11-12 13:18:25 UTC; ik97
+Packaged: 2023-09-20 00:28:13 UTC; main
 Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
+  Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
+  Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
+  Hongcheng Yao [aut, ctb] (<https://orcid.org/0000-0002-0743-4835>),
   Nghia Millard [aut] (<https://orcid.org/0000-0002-0518-7674>),
   Jean Fan [aut, ctb] (<https://orcid.org/0000-0002-0212-5451>),
   Kamil Slowikowski [aut, ctb] (<https://orcid.org/0000-0002-2843-6370>),
@@ -38,4 +49,4 @@
   Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-11-14 09:20:08 UTC
+Date/Publication: 2023-09-20 13:30:06 UTC

## harmony 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 1.0.1
+Version: 1.0.3
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
@@ -37,7 +37,7 @@
         data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-09-20 00:28:13 UTC; main
+Packaged: 2023-09-29 14:54:38 UTC; main
 Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
   Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
   Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
@@ -49,4 +49,4 @@
   Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-09-20 13:30:06 UTC
+Date/Publication: 2023-09-30 23:00:02 UTC

## harmony 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 1.0.3
+Version: 1.1.0
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
@@ -37,7 +37,7 @@
         data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-09-29 14:54:38 UTC; main
+Packaged: 2023-10-20 11:25:28 UTC; main
 Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
   Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
   Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
@@ -49,4 +49,4 @@
   Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-09-30 23:00:02 UTC
+Date/Publication: 2023-10-23 19:50:02 UTC

## harmony 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 1.1.0
+Version: 1.2.0
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
@@ -37,7 +37,7 @@
         data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-10-20 11:25:28 UTC; main
+Packaged: 2023-11-28 23:29:19 UTC; main
 Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
   Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
   Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
@@ -49,4 +49,4 @@
   Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-23 19:50:02 UTC
+Date/Publication: 2023-11-29 08:30:04 UTC

## harmony 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
-    person("Martin Hemberg", email = "mhemberg@bwh.harvard.edu",
+    person("Martin", "Hemberg", email = "mhemberg@bwh.harvard.edu",
         role = c("aut"), comment = c(ORCID = "0000-0001-8895-5239")),
-    person("Nikolaos Patikas", email = "nik.patik@gmail.com",
+    person("Nikolaos", "Patikas", email = "nik.patik@gmail.com",
         role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-3978-0134")),
-    person("Hongcheng Yao", email = "hongchengyaonk@gmail.com",
+    person("Hongcheng", "Yao", email = "hongchengyaonk@gmail.com",
         role = c("aut", "ctb"), comment = c(ORCID = "0000-0002-0743-4835")),
     person("Nghia", "Millard", email = "nmillard@g.harvard.edu",
         role = "aut", comment = c(ORCID = "0000-0002-0518-7674")),
@@ -22,7 +22,7 @@
         role = c("aut"), comment = c(ORCID = "0000-0002-1901-8265"))
     )
 Description: Implementation of the Harmony algorithm for single cell integration, described in Korsunsky et al <doi:10.1038/s41592-019-0619-0>. Package includes a standalone Harmony function and interfaces to external frameworks.
-URL: software.broadinstitute.org/harmony
+URL: https://github.com/immunogenomics/harmony
 License: GPL-3
 Encoding: UTF-8
 RoxygenNote: 7.2.3
@@ -37,7 +37,7 @@
         data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-11-28 23:29:19 UTC; main
+Packaged: 2024-08-27 17:37:39 UTC; main
 Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
   Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
   Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
@@ -49,4 +49,4 @@
   Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-11-29 08:30:04 UTC
+Date/Publication: 2024-08-27 22:10:02 UTC

## harmony 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 1.2.1
+Version: 1.2.3
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
@@ -37,7 +37,7 @@
         data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2024-08-27 17:37:39 UTC; main
+Packaged: 2024-11-27 19:11:32 UTC; main
 Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
   Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
   Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
@@ -49,4 +49,4 @@
   Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-08-27 22:10:02 UTC
+Date/Publication: 2024-11-27 23:50:02 UTC

## harmony 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: harmony
 Title: Fast, Sensitive, and Accurate Integration of Single Cell Data
-Version: 1.2.3
+Version: 1.2.4
 Authors@R: c(
     person("Ilya", "Korsunsky", email = "ilya.korsunsky@gmail.com",
         role = c("cre", "aut"), comment = c(ORCID = "0000-0003-4848-3948")),
@@ -37,16 +37,21 @@
         data.table
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2024-11-27 19:11:32 UTC; main
-Author: Ilya Korsunsky [cre, aut] (<https://orcid.org/0000-0003-4848-3948>),
-  Martin Hemberg [aut] (<https://orcid.org/0000-0001-8895-5239>),
-  Nikolaos Patikas [aut, ctb] (<https://orcid.org/0000-0002-3978-0134>),
-  Hongcheng Yao [aut, ctb] (<https://orcid.org/0000-0002-0743-4835>),
-  Nghia Millard [aut] (<https://orcid.org/0000-0002-0518-7674>),
-  Jean Fan [aut, ctb] (<https://orcid.org/0000-0002-0212-5451>),
-  Kamil Slowikowski [aut, ctb] (<https://orcid.org/0000-0002-2843-6370>),
+Packaged: 2025-10-09 17:59:31 UTC; main
+Author: Ilya Korsunsky [cre, aut] (ORCID:
+    <https://orcid.org/0000-0003-4848-3948>),
+  Martin Hemberg [aut] (ORCID: <https://orcid.org/0000-0001-8895-5239>),
+  Nikolaos Patikas [aut, ctb] (ORCID:
+    <https://orcid.org/0000-0002-3978-0134>),
+  Hongcheng Yao [aut, ctb] (ORCID:
+    <https://orcid.org/0000-0002-0743-4835>),
+  Nghia Millard [aut] (ORCID: <https://orcid.org/0000-0002-0518-7674>),
+  Jean Fan [aut, ctb] (ORCID: <https://orcid.org/0000-0002-0212-5451>),
+  Kamil Slowikowski [aut, ctb] (ORCID:
+    <https://orcid.org/0000-0002-2843-6370>),
   Miles Smith [ctb],
-  Soumya Raychaudhuri [aut] (<https://orcid.org/0000-0002-1901-8265>)
+  Soumya Raychaudhuri [aut] (ORCID:
+    <https://orcid.org/0000-0002-1901-8265>)
 Maintainer: Ilya Korsunsky <ilya.korsunsky@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-11-27 23:50:02 UTC
+Date/Publication: 2025-10-10 05:30:09 UTC

## harmony cli-1.2.0

=== requirements.txt ===
rich>=12.0.0
httpx>=0.24.0
colorama>=0.4.4

## harmony toolbox-1.3.1

=== requirements.txt ===
argparse>=1.4.0
colorama>=0.4.3
json2html>=1.3.0
psutil>=5.8.0
pyhmy==0.1.0
python-dotenv>= 0.8.0
pytimedinput==2.0.1
pytz==2023.3
simple-term-menu>=1.2.1
